Bug#928882: unblock: [pre-approval] ghc/8.4.4+dfsg1-3

2019-06-25 Thread Emanuele Olivetti
Dear Ilias, I am very happy to announce that git-annex v.7.20190129-3+b1 for armel works perfectly on my QNAP TS-219P (armv5tel)! I ran the extensive test suite within git-annex, with "git-annex test" and all the 227 tests passed without error - here is the last line of that execution: All

Bug#931048: linux-image-4.19.0-4-amd64: bridge MAC learning is broken

2019-06-25 Thread Anton Ivanov
Package: src:linux Version: 4.19.28-1 Severity: normal File: linux-image-4.19.0-4-amd64 Dear Maintainer, Bridge MAC learning is completely broken at present. How to reproduce: 1. Build one or more MINIMAL vms or connect machines with MINIMAL installs to interfaces which join to a Linux bridge

Bug#931049: ITP: r-cran-getoptlong -- GNU R parsing command-Line arguments and variable interpolation

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-getoptlong -- GNU R parsing command-Line arguments and variable interpolation Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-getoptlong Version : 0.1.7 Upstream Author : Zuguang Gu * URL

Bug#892232: bug#32384: Bug#892232: guile-2.2: FTBFS on alpha: test-conversion fails

2019-06-25 Thread Ludovic Courtès
Hi all, Rob Browning skribis: > [Please preserve 892232-forwar...@bugs.debian.org in relevant replies.] > > test-conversion appears to be failing on alpha hosts as reported below, > and seen here: > https://buildd.debian.org/status/fetch.php?pkg=guile-2.2=alpha=2.2.4%2B1-1=1533027639=0 I’m

Bug#930223: need help with building node-dagre-d3-renderer with webpack

2019-06-25 Thread Pirate Praveen
Control: tag -1 -help On Tue, 25 Jun, 2019 at 1:22 PM, Pirate Praveen wrote: The easiest fix would be updating node-d3-format, but it is not team maintained any more (result of an accidental hijack from me). Other option would be to fix webpack configuration. Hope someone can help here.

Bug#930935: webkit2gtk: Baseline violation on i386

2019-06-25 Thread Alberto Garcia
On Mon, Jun 24, 2019 at 04:48:43PM +0300, Alberto Garcia wrote: > If no one has anything to say I'll upload it today. This should work > on all i386 CPUs, and we can later discuss if it's worth thinking of > a solution for SSE2-capable machines. Uploaded, unblock request at #931052 I don't have

Bug#931044: installing python3.4 fails

2019-06-25 Thread Christoph Berg
Re: Andreas Bießmann 2019-06-25 <12977de3-730f-e342-ec86-b574439e7...@biessmann.de> > Setting up python3.4 (3.4.2-1+deb8u3) ... > File "/usr/lib/python3.4/http/client.py", line 1014 > raise InvalidURL(f"URL can't contain control characters. {url!r} " >

Bug#930223: need help with building node-dagre-d3-renderer with webpack

2019-06-25 Thread Pirate Praveen
Control: tag -1 help On Sat, 08 Jun 2019 20:48:32 +0500 Pirate Praveen wrote:> This library is a dependency of gitlab. Since it uses babel and webpack > to generate ES5 code, it is not suitable for embedding. With node-d3 in NEW/salsa (#801765), I get this error. d3-format and d3-scale is

Bug#931054: ITP: r-cran-cowplot -- GNU R streamlined plot theme and plot annotations for 'ggplot2'

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-cowplot -- GNU R streamlined plot theme and plot annotations for 'ggplot2' Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-cowplot Version : 0.9.4 Upstream Author : Claus O. Wilke, * URL

Bug#930932: zenity: Zenity crashes out on Athlon XP CPU.

2019-06-25 Thread Alberto Garcia
On Tue, Jun 25, 2019 at 09:04:25AM +1000, Iris (Delta) wrote: > If you do still intend to test any packages on Athlon XP era > hardware I would be happy to help. This is a test build of webkit2gtk 2.24.2-2 backported for stretch: https://people.debian.org/~berto/webkit2gtk/ If you can test

Bug#931055: ITP: r-bioc-complexheatmap -- make complex heatmaps using GNU R

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-bioc-complexheatmap -- make complex heatmaps using GNU R Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-bioc-complexheatmap Version : 2.0.0 Upstream Author : Zuguang Gu * URL :

Bug#931039: dh-strip-nondeterminism: Does not appear to clamp timestamps in PNG files (was: "Re: debhelper: something in the dh sequencer changes the tIME chunk of installed PNGs")

2019-06-25 Thread Chris Lamb
retitle 931039 dh-strip-nondeterminism: Does not appear to clamp timestamps in PNG files thanks Hi, > While I’m sure the reproducible builds people appreciate > limiting the mtime, raising it is not done otherwise. Yes, it is curious why strip-nondeterminism is not "clamping" the timestamps

Bug#931044: CVE-2019-9740-CVE-2019-9947.diff

2019-06-25 Thread Olivier Bonvalet
Hi, in the patch CVE-2019-9740-CVE-2019-9947.diff, the code use "formatted string literals", which is a Python 3.6 feature.

Bug#931044: Quick workaround

2019-06-25 Thread jens persson
A quick workaround to get our old environments to work was to remove the f:s on line 1014 and 1015 in /usr/lib/python3.4/http/client.py as: raise InvalidURL("URL can't contain control characters. {url!r} " "(found at least {match.group()!r})") This will

Bug#930223: [Pkg-javascript-devel] need help with building node-dagre-d3-renderer with webpack

2019-06-25 Thread Pirate Praveen
On Tue, 25 Jun, 2019 at 3:07 PM, Pirate Praveen wrote: Now there is another error (tried replacing commonjs2 with commonjs, also tried with nodejs 12), dh_auto_test --buildsystem=nodejs /usr/bin/node -e require\(\".\"\) /<>/dist/dagre-d3.core.js:950 function (node, name, id,

Bug#929527: Bug#914694

2019-06-25 Thread Thomas Lamprecht
Don't want to nag to much but is there any news regarding this? Buster is planned to release pretty soon (<2 weeks) and iptables is quite a important package, IMO. Maybe it went under my radar but I saw no unblock request on d.o release list. For now I just used update-alternative to use the

Bug#902343: osifont

2019-06-25 Thread Gürkan Myczko
Hi Kurt and Martin Kurt: please go ahead. How's progress? haven't found it on salsa.d.o? If you're on irc, there's #debian-fonts Martin: I don't think it's similar at all, so I don't see any objections to have that ISO standardized isofont in Debian. Cheers,

Bug#849811: perfectly builds from source

2019-06-25 Thread Gürkan Myczko
Hi Dominik and Pabs, It builds just fine for me, fontmake -i -o otf -g Apropal.glyphs Dominik: shall I add you to maintainers, or will you want to do it? (I've retitled it to ITP from RFP), but if you insist it's yours. Cheers,

Bug#925906: sqlite3: FTCBFS: configure fails to find readline.h

2019-06-25 Thread Yuriy M. Kaminskiy
Control: tag -1 - moreinfo On 25.06.2019 07:03, Helmut Grohne wrote: > On Thu, Mar 28, 2019 at 01:14:13PM +0300, Yuriy M. Kaminskiy wrote: >> When cross-building sqlite3, it fails to detect readline: while >> actual code wants only (see src/shell.c.in), >> but configure.ac checks for ; > > I

Bug#928882: unblock: [pre-approval] ghc/8.4.4+dfsg1-3

2019-06-25 Thread Ilias Tsitsimpis
On Tue, Jun 25, 2019 at 09:24AM, Emanuele Olivetti wrote: > I am very happy to announce that git-annex v.7.20190129-3+b1 for armel > works perfectly on my QNAP TS-219P (armv5tel)! Great news! Thank you for helping us out with this. Best, -- Ilias

Bug#930223: [Pkg-javascript-devel] need help with building node-dagre-d3-renderer with webpack

2019-06-25 Thread Pirate Praveen
Control: tag -1 help On Tue, 25 Jun, 2019 at 1:49 PM, Pirate Praveen wrote: While looking for something else in package.json, I realized, there was a line excluding node_modules and there was two places I needed to update. With the following patch, webpack is successful. Now there is

Bug#931039: dh-strip-nondeterminism: Does not appear to clamp timestamps in PNG files

2019-06-25 Thread Chris Lamb
forwarded 931039 https://salsa.debian.org/reproducible-builds/strip-nondeterminism/issues/7 thanks I've forwarded this upstream here: https://salsa.debian.org/reproducible-builds/strip-nondeterminism/issues/7 Regards, -- ,''`. : :' : Chris Lamb `. `'`

Bug#930887: [Debian-ha-maintainers] Bug#930887: CVE-2019-10153

2019-06-25 Thread wferi
Valentin Vidić writes: > On Mon, Jun 24, 2019 at 02:03:11PM +0200, wf...@niif.hu wrote: > >> According to https://security-tracker.debian.org/tracker/CVE-2019-10153, >> the vulnerable code is not present in stretch. However, I don't >> understand why this does not count: >> >>

Bug#931052: unblock: webkit2gtk/2.24.2-2

2019-06-25 Thread Alberto Garcia
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Please unblock package webkit2gtk Upstream WebKitGTK has recently stopped supporting i386 CPUs without SSE2 extensions, as other browsers (Chromium, Firefox) already did a few years ago.

Bug#931053: ITP: r-cran-cowplot -- GNU R streamlined plot theme and plot annotations for 'ggplot2'

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-cowplot -- GNU R streamlined plot theme and plot annotations for 'ggplot2' Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-cowplot Version : 0.9.4 Upstream Author : Claus O. Wilke, * URL

Bug#931056: debian-installer: keyboard setup skipped when using initrd preseeding

2019-06-25 Thread Christian Rudolph
Package: debian-installer Version: 20190410 Severity: normal Tags: d-i Dear Maintainer, when installing debian using initrd preseeding, keyboard setup gets skipped completely. After some debugging and code reading I found out that the root cause is the /var/run/auto-install.active file, which

Bug#928882: unblock: [pre-approval] ghc/8.4.4+dfsg1-3

2019-06-25 Thread Ilias Tsitsimpis
Hey Paul, It looks like everything has been rebuilt without errors. Moreover, git-annex now works, so I assume that the problem has been resolved. Could you please unblock ghc/8.4.4+dfsg1-3 as well as every Haskell package that was rebuilt on armel? One exception to the above is the taffybar

Bug#905226: Acknowledgement (openssh-server: SSH AuthorizedKeysCommand hangs when output is too large)

2019-06-25 Thread Moritz Muehlenhoff
On Mon, Aug 06, 2018 at 12:04:46PM +0200, Dennis Schridde wrote: > I confirm that the patch [1] to the upstream bug report [2] solves the issue > for us. JFTR, we've also run into this at work at the Wikimedia Foundations's Phabricator installation (https://phabricator.wikimedia.org/T224677)

Bug#731599: Usage of locfit is questionable due to its non-free license

2019-06-25 Thread Andreas Tille
Hi, as you can see in the longish discussion on the "Intend to Package" claim to package locfit for Debian[1] the license of locfit is problematic. I'm more and more stumbling upon use cases of locfit from CRAN (recently in DESeq - thus the author Simon Anders is explicitly CCed) but also in

Bug#931051: firejail hangs on strace with the firefox or waterfox profile

2019-06-25 Thread Vincent Lefevre
Package: firejail Version: 0.9.58.2-2 Severity: important firejail hangs on strace with the firefox or waterfox profile. Example with the ls command (which is simpler than a web browser): zira:~> /usr/bin/firejail --allow-debuggers --profile=firefox strace /bin/ls Reading profile

Bug#931039: debhelper: something in the dh sequencer changes the tIME chunk of installed PNGs

2019-06-25 Thread Niels Thykier
Control: reassign -1 dh-strip-nondeterminism Thorsten Glaser: > Package: debhelper > Severity: normal > Hi, The tool you describe is dh_strip-nondeterminism and I have reassigned the bug accordingly. > While comparing builds of musescore -6 and -7 I found unexpected > changes in the PNG files

Bug#930293: unblock: docker.io/18.09.1+dfsg1-7

2019-06-25 Thread Arnaud Rebillout
On 6/25/19 2:08 AM, Paul Gevers wrote: > Hi Shengjing, > > On 24-06-2019 00:28, Shengjing Zhu wrote: >> Now, with good reason... >> >> It tooks me enough hours today to figure out why the tests crash the host(as >> described in #929662, running out of pids). >> >> The bug is not from upstream.

Bug#931047: linux-image-4.19.0-4-amd64: bridge igmp snooping is throughly broken

2019-06-25 Thread Anton Ivanov
Package: linux-image-4.19.0-4-amd64 Version: linux-image-4.19.0-4-amd64 Severity: minor Dear Maintainer, The multicast/igmp snooping code in the linux bridge is throughly broken: 1. If a program binds to a v4 multicast group a v6 entry is created in the bridge mdb instead 2. As a result

Bug#914577: ITP: dropwatch -- A tool for detecting and diagnosing packets being dropped

2019-06-25 Thread Alexandros Kosiaris
Package: wnpp Followup-For: Bug #914577 Owner: Alexandros Kosiaris

Bug#929834: Buster/XFCE unlock screen is blank

2019-06-25 Thread Yves-Alexis Perez
-BEGIN PGP SIGNED MESSAGE- Hash: SHA256 control: affects -1 xserver-xorg-core On Sat, 2019-06-22 at 17:34 -0400, John Franklin wrote: > I've been suffering from this bug in a clean Buster system, too. A > solution noted in another bug tracker is to explicitly tell X.org to > use the

Bug#931050: ITP: r-cran-clue -- GNU R cluster ensembles

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-clue -- GNU R cluster ensembles Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-clue Version : 0.3 Upstream Author : Kurt Hornik, * URL : https://cran.r-project.org/package=clue *

Bug#930988: libtifiles FTCBFS: Missing dependency tfdocgen

2019-06-25 Thread Lionel Debroux
Hi, This is upstream for tfdocgen, libti*(2), gfm and tilp2 :) > > libtifiles fails to cross build because its dependency, tfdocgen > > package, is missing. Using tfdocgen:native instead of tfdocgen to > > cross-build can solve this problem. > > Did you look into whether we can instead mark

Bug#931044: (no subject)

2019-06-25 Thread Andreas Bießmann
Control: retitle -1 Upgrading python3.4 in jessie fails Control: severity -1 critical thank you

Bug#931046: Some functions are in header but not exported in the .so

2019-06-25 Thread Christian Ehrhardt
package: device-tree-compiler version: 1.5.0-1 libfdt 1.4.7-3 and 1.5.0-1 currently define some functions that it then fails to export. Due to that programs build against its headers might fail later on. For example qemu 4.0: cc -pthread -I/usr/include/glib-2.0

Bug#930935: webkit2gtk: Baseline violation on i386

2019-06-25 Thread Adrian Bunk
On Tue, Jun 25, 2019 at 10:16:48AM +0200, Alberto Garcia wrote: > On Mon, Jun 24, 2019 at 04:48:43PM +0300, Alberto Garcia wrote: > > > If no one has anything to say I'll upload it today. This should work > > on all i386 CPUs, and we can later discuss if it's worth thinking of > > a solution for

Bug#931044: installing python3.4 fails

2019-06-25 Thread Paul Boddie
Package: python3.4 Version: 3.4.2-1+deb8u3 Followup-For: Bug #931044 The following fix could be applied to the faulty Python standard library file ultimately used by the /var/lib/dpkg/info/python3.4.postinst script: --- /usr/lib/python3.4/http/client.py 2019-06-25 14:41:35.0 +0200 +++

Bug#852032: libjavascriptcoregtk-4.0-18: Segmentation fault in LLIntAssembly.h:2610 on powerpc64

2019-06-25 Thread Alberto Garcia
On Mon, Jan 23, 2017 at 11:14:16AM +0100, Alberto Garcia wrote: > webkit2gtk itself builds fine, seed-webkit2 is what fails: I wanted to test this with the latest versions of WebKitGTK, but I don't seem to have access to any porterbox with ppc64 (only ppc64el, in which things work fine). Is this

Bug#931065: ITP: r-bioc-all -- Bioconductor data package used by several bioc tools

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-bioc-all -- Bioconductor data package used by several bioc tools Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-bioc-all Version : 1.26.0 Upstream Author : Xiaochun Li * URL :

Bug#930648: exim4-daemon-heavy: Weird leakage of unrelated data like /etc/aliases into /var/spool/exim4/input/*-H

2019-06-25 Thread Bjoern Buerger
* Andreas Metzler (ametz...@bebt.de) [190621 09:58]: > On 2019-06-19 Bjoern Buerger wrote: > > * Andreas Metzler (ametz...@bebt.de) [190618 19:15]: > [...] > > > Could you try > > > a) disabling BDAT (set chunking_advertise_hosts = ) > > > b) try a backport of sa-exim 4.2.1-17? > > > > See

Bug#931063: dpkg: error processing package python3.4 (--configure):

2019-06-25 Thread Larry Kraemer
Package: upgrade-reports Severity: important Dear Maintainer, I executed the following this morning: sudo apt-get update sudo apt-get upgrade and I got these error statements: Setting up python3.4 (3.4.2-1+deb8u3) ... File "/usr/lib/python3.4/http/client.py", line 1014 raise

Bug#931044: Quick workaround

2019-06-25 Thread Peppo Brambilla
I fixed is as follows: root@woody:/usr/lib/python3.4/http# diff -c3 client.py.orig client.py *** client.py.orig 2019-06-21 03:20:41.0 +0200 --- client.py 2019-06-25 09:12:35.0 +0200 *** *** 1011,1018 # Prevent CVE-2019-9740. match =

Bug#931057: python3: Error while upgrading python3.4

2019-06-25 Thread mediaf
Package: python3 Version: 3.4.2-2 Severity: normal Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** I have done apt update, apt ugrade and I received this message : Paramétrage de python3.4 (3.4.2-1+deb8u3) ... File

Bug#930998: RM: ompl/1.4.2+ds1-3

2019-06-25 Thread Leopold Palomo-Avellaneda
Just some clarifications: As Jochen said: > Reason: The package in testing is RC buggy with #930507. Leo pushed a > new -3 revision over a week ago to unstable but expressed in > https://lists.debian.org/debian-release/2019/06/msg00526.html > > that he is not 'very happy with the patches'.

Bug#931064: unblock: grub2/2.02+dfsg1-20

2019-06-25 Thread Steve McIntyre
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Please unblock package grub2 While testing the Buster d-i RC2 build yesterday, I realised that we hadn't *quite* finished all the packaging changes for Secure Boot. At the moment, only the

Bug#870814: show message if unable to play video

2019-06-25 Thread Alberto Garcia
On Fri, Aug 25, 2017 at 10:21:36PM +0800, 積丹尼 Dan Jacobson wrote: > OK I installed all the packages libwebkit2gtk-4.0-37 suggests, and > recommends, and can finally play the video. (But with no sound...). > > Anyway, most browsers say "plugin cannot be used" instead of the > black screen we

Bug#931017: dkms: "install" loads modules immediately, and loads more than the newly installed modules

2019-06-25 Thread Raphael Hertzog
Control: forwarded -1 https://github.com/dell/dkms/issues/85 On Mon, 24 Jun 2019, Raphaël Hertzog wrote: > The reason is that "dkms install" runs this: > find /sys/devices -name modalias -print0 | xargs -0 cat | xargs modprobe -a > -b -q This was added in this commit:

Bug#931061: crossbuild-essential-ARCH shouldn't depend on all

2019-06-25 Thread Evgeny Golyshev
Source: build-essential Version: 12.6 Severity: wishlist Tags: patch The following packages * crossbuild-essential-amd64 * crossbuild-essential-armel * crossbuild-essential-arm64 * crossbuild-essential-armhf * crossbuild-essential-i386 * crossbuild-essential-mips * crossbuild-essential-mipsel *

Bug#931062: unblock: ionit/0.3.2+really0.2.1-2

2019-06-25 Thread Benjamin Drung
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Please unblock package ionit The ionit.service fix for bug #919690 introduced a systemd dependency loop. systemd will break the loop at a (random?) place which can make boot behave

Bug#930223: [Pkg-javascript-devel] need help with building node-dagre-d3-renderer with webpack

2019-06-25 Thread Pirate Praveen
On Tue, 25 Jun, 2019 at 3:13 PM, Pirate Praveen wrote: Same error when changing package.json#main to dist/dagre-d3.js (umd format). To confirm it is not a browser only library, I downloaded the dagre-d3-renderer dist.tarball from npmjs.com and the require command succeeds there.

Bug#931058: linux: enable CONFIG_USB_DUMMY_HCD=m for simulating USB UDCs for USB gadgets

2019-06-25 Thread Paul Wise
Package: src:linux Severity: wishlist I would like the CONFIG_USB_DUMMY_HCD=m option to be enabled, so that I can experiment with USB gadgets on x86 desktop systems where a USB UDC is not available. The other gadget-related config options are already enabled in the Debian version of the Linux

Bug#930484: e2fsck corrupts sparse files with -E bmap2extent

2019-06-25 Thread Florian Zumbiehl
Hi, [...] > In my mind, this is why Debian Backports exists. If you want the > latest bug fixes (including one whhich avoids data corruption when > doing off-line shrinks using resize2fs), and/or you are doing anything > at all exotic, my only recommendation is to use the Debian Backports >

Bug#931060: ionit.service creates a systemd dependency loop

2019-06-25 Thread Benjamin Drung
Package: ionit Version: 0.3.2+really0.2.1-1 Severity: serious Tags: patch upstream Letting ionit.service run before systemd-udev-trigger.service (fix for Deiban bug #919690) introduces a dependency loop: systemd[1]: systemd-udev-trigger.service: Found ordering cycle on ionit.service/start

Bug#931063: dpkg: error processing package python3.4 (--configure):

2019-06-25 Thread Bas Couwenberg
Should be fixed soon, see the thread on the lts list: https://lists.debian.org/debian-lts/2019/06/msg00025.html Kind Regards, Bas

Bug#716467: Fix available

2019-06-25 Thread Jeremy Sowden
The crash was the result of passing a null pointer to strlen when allocating memory for the PID file: /* we can theoretically live without a config file */ home = getenv("HOME"); if (home) { config.file = calloc(1, strlen(home) + 9); sprintf(config.file, "%s/.wmixrc",

Bug#931071: hard-coded path in icebox_vlog

2019-06-25 Thread Lars Dölle
Package: fpga-icestorm Version: 0~20181109git9671b76-1 Hi, thank you very much for maintaining the icestorm package. As the subject says, icebox_vlog contains a hard-coded path in line 386 making the program fail to find the chipdb. |with open("/usr/local/share/icebox/chipdb-%s.txt" %

Bug#931073: ITP: r-cran-ggdendro -- GNU R create dendrograms and tree diagrams using 'ggplot2'

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-ggdendro -- GNU R create dendrograms and tree diagrams using 'ggplot2' Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-ggdendro Version : 0.1 Upstream Author : Andrie de Vries, * URL

Bug#931072: ITP: fonts-havana -- Old communism style script font from Poland

2019-06-25 Thread Gürkan Myczko
Package: wnpp Severity: wishlist * Package name: fonts-havana Version : 1.0 Upstream Authors: Stowarzyszenie Kulturotwórcze Miastodwa * URL : https://kroje.org/en/fonts/havana/ * License : OFL-1.1 Description : Old communism style script font from Poland

Bug#931075: ITP: r-cran-lasso2 -- GNU R L1 constrained estimation aka `lasso'

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-lasso2 -- GNU R L1 constrained estimation aka `lasso' Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-lasso2 Version : 1.2 Upstream Author : Justin Lokhorst, Bill Venables and Berwin Turlach; *

Bug#930012: gcc-8: ICE building firefox 68.0~b6-2 on s390x and i386

2019-06-25 Thread Olivier Tilloy
Workaround submitted upstream: https://bugs.chromium.org/p/skia/issues/detail?id=9202

Bug#870814: show message if unable to play video

2019-06-25 Thread 積丹尼 Dan Jacobson
Currently going to $ /usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/MiniBrowser https://www.youtube.com/ and trying to play a video now shows a message with a link to https://www.youtube.com/supported_browsers so I suppose this is an improvement.

Bug#931070: Man page shows less options than "help" command

2019-06-25 Thread 積丹尼 Dan Jacobson
Package: anbox Version: 0.0~git20190124-1 File: /usr/share/man/man1/anbox.1.gz $ anbox help reveals a "check-features" command not mentioned on the man page. There may be more too.

Bug#931069: Indicate if monitor has been turned "--off"

2019-06-25 Thread 積丹尼 Dan Jacobson
Package: x11-xserver-utils Version: 7.7+8 Severity: wishlist File: /usr/bin/xrandr If one does $ xrandr --output LVDS-1 --off the output of $ xrandr or $ xrandr --verbose does not reflect the change. We have made that screen totally black but xrandr doesn't mention the fact one single bit.

Bug#931039: dh-strip-nondeterminism: Does not appear to clamp timestamps in PNG files (was: "Re: debhelper: something in the dh sequencer changes the tIME chunk of installed PNGs")

2019-06-25 Thread Thorsten Glaser
Hi Chris, >I've forwarded this upstream here: thanks! I did not want to get too deep into yak shaving in the dark hours of the night as I had something to do with a deadline, so I’ve only seen that something in dh did it. >(Just as an aside, how come the tests fail? Are they looking No, I just

Bug#929467: RFS: tfortune-1.0.0 [ITP]

2019-06-25 Thread Andre Noll
On Wed, Jun 19, 14:01, Adam Borowski wrote > > Both issues have been fixed in v2 of the t/tfortunes branch which > > I've just pushed out. This branch also contains two new commits > > which fix a gcc warning and a harmless memory leak. > > Uploaded, with some changes. Thanks a bunch for fixing

Bug#716463: Patch

2019-06-25 Thread Jeremy Sowden
This crash involves calling /usr/lib/wmcoincoin/wmcoincoin_player directly with an empty environment. Under those circumstances XOpenDisplay returns NULL: disp = XOpenDisplay(NULL); if (argc == 1) { printf("kikou je suis un player pourri\n"); printf("mes options toutes plus

Bug#931074: ITP: r-cran-logging -- GNU R logging package

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-cran-logging -- GNU R logging package Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-cran-logging Version : 0.9 Upstream Author : Mario Frasca, * URL :

Bug#931066: xserver-xorg-core: X crash - libfb

2019-06-25 Thread MaXaMaR
Package: server-xorg-core Version: 2:1.20.4-1 Severity: grave Hello I have a similar to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=911680 bug I think, also in VM which is KVM (Proxmox) with AMD RX590 PCI passthru. Happens on

Bug#931068: zenity: Window icon is not displayed under Wayland

2019-06-25 Thread Yvan Masson
Package: zenity Version: 3.30.0-2 Severity: normal Dear Maintainer, Window icon (which can be chosen with --window-icon) does not work when using Wayland, but works using Gnome. You can test with the following command (assuming this icon exists on your system): $ zenity --info

Bug#931067: ITP: r-bioc-consensusclusterplus -- GNU R determining cluster count and membership

2019-06-25 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: r-bioc-consensusclusterplus -- GNU R determining cluster count and membership Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: r-bioc-consensusclusterplus Version : 1.48.0 Upstream Author : Matt Wilkerson ,

Bug#931079: ITP: mimalloc -- compact general purpose allocator with excellent performance

2019-06-25 Thread Gürkan Myczko
Package: wnpp Severity: wishlist * Package name: mimalloc Version : for-experimental Upstream Authors: Microsoft Corporation, Daan Leijen * URL : https://github.com/microsoft/mimalloc * License : MIT Description : compact general purpose allocator with

Bug#931080: asciiflowqt: Wish for new package: asciiflowqt

2019-06-25 Thread georg
Package: asciiflowqt Version: v0.3.3 Severity: wishlist Dear Maintainer, i would like to add asciiflowqt to debian. It has already a debian branch with debian packaging. The URL is: https://github.com/schorsch1976/AsciiFlowQT It is a offline ascii art editor. It is mostly used for programming

Bug#931082: netgen: Dead link in man 1 netgen

2019-06-25 Thread Sebastian Bachmann
Package: netgen Version: 6.2.1804+dfsg1-3 Severity: minor Dear Maintainer! The manpage of netgen contains a link to http://www.mathcces.rwth- aachen.de/netgen/doku.php which appears to be dead. As far as I understand, the homepage of netgen is now https://ngsolve.org/ When greping for the URL

Bug#930988: libtifiles FTCBFS: Missing dependency tfdocgen

2019-06-25 Thread Helmut Grohne
Hi Lionel, On Tue, Jun 25, 2019 at 09:43:24AM +0200, Lionel Debroux wrote: > tfdocgen is a simple HTML documentation generator, which supports a > Doxygen-like (but not Doxygen-compatible) syntax for C/C++ code, and > maybe other languages which supports /** */ comments, I haven't tried. > It was

Bug#870814: show message if unable to play video

2019-06-25 Thread Alberto Garcia
On Tue, Jun 25, 2019 at 11:28:54PM +0800, 積丹尼 Dan Jacobson wrote: > Currently going to > $ /usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/MiniBrowser > https://www.youtube.com/ > and trying to play a video now shows a message with a link to > https://www.youtube.com/supported_browsers > so I suppose

Bug#870814: show message if unable to play video

2019-06-25 Thread 積丹尼 Dan Jacobson
AG> With gstreamer1.0-libav installed ? What video are you exactly trying AG> to play ? Yes. The first one that youtube shows me. So OK, give me a youtube movie url that plays for you and I'll try it.

Bug#931078: A patch for LIRC with kernel 4.19 and gpio-ir for Raspbian Buster

2019-06-25 Thread Takashi Kanamaru
Package: lirc Version: 0.10.1-5.2 Severity: important Dear Maintainer, When using kernel 4.19.X and LIRC on Raspberry Pi with Raspbian Buster, gpio-ir should be used because lirc_dev is not officially installed. However, pulse-space sequences generated by gpio-ir is slightly different from that

Bug#931043: unblock: expat/2.2.6-2

2019-06-25 Thread Ivo De Decker
Control: tags -1 d-i Hi, On Tue, Jun 25, 2019 at 06:59:09AM +0200, Salvatore Bonaccorso wrote: > Please unblock package expat, it fixes CVE-2018-20843 and got fixed by > Laszlo cherry-picking the upstream fix. The issue is tracked as > #931031 in the BTS: > > > expat (2.2.6-2) unstable;

Bug#931076: systemd: __main__.SeccompTest is failing on Ubuntu CI

2019-06-25 Thread Dan Streetman
Package: systemd Version: 240-6ubuntu5.1 Severity: normal Dear Maintainer, Upstream systemd CI is broken on Ubuntu due to a recent upstream change. The d/t/boot-and-services test needs to be fixed to account for the new upstream change. This is reported upstream at:

Bug#870814: show message if unable to play video

2019-06-25 Thread 積丹尼 Dan Jacobson
It still says "your browser does not recognize any of the video formats available."

Bug#870814: show message if unable to play video

2019-06-25 Thread Alberto Garcia
On Tue, Jun 25, 2019 at 11:55:46PM +0800, 積丹尼 Dan Jacobson wrote: > It still says "your browser does not recognize any of the video formats > available." With gstreamer1.0-libav installed ? What video are you exactly trying to play ? Berto

Bug#931068: zenity: Window icon is not displayed under Wayland

2019-06-25 Thread Simon McVittie
On Tue, 25 Jun 2019 at 15:47:13 +0200, Yvan Masson wrote: > Window icon (which can be chosen with --window-icon) does not work when > using Wayland, but works using Gnome. Wayland is a protocol, not an implementation. What is the environment in which this doesn't work for you? Is it Weston, or

Bug#931052: unblock: webkit2gtk/2.24.2-2

2019-06-25 Thread Alberto Garcia
On Tue, Jun 25, 2019 at 11:04:59AM +0300, Alberto Garcia wrote: > This upload disables the JIT compiler and enables the CLoop > JavaScript interpreter, which is slower but works on all CPUs. It > also removes the gcc SSE2 flags. Only the i386 build is affected by > these changes. I realized that

Bug#931039: dh-strip-nondeterminism: Does not appear to clamp timestamps in PNG files (was: "Re: debhelper: something in the dh sequencer changes the tIME chunk of installed PNGs")

2019-06-25 Thread Chris Lamb
Hi Thorsten, > thanks! I did not want to get too deep into yak shaving in the > dark hours of the night Absolutely nothing to apologise for. It's far better the report exists rather than it falling between the cracks and not being reported, even if it requires a quick 'n' easy reassign (thanks

Bug#925906: sqlite3: FTCBFS: configure fails to find readline.h

2019-06-25 Thread Helmut Grohne
Control: clone -1 -2 Control: reassign -2 cross-config Control: retitle -2 drop ac_cv_header_readline_h from cross-config.cache Control: tags -2 = Control: block -2 by -1 Thank you for the quick followup with details! On Tue, Jun 25, 2019 at 11:43:01AM +0300, Yuriy M. Kaminskiy wrote: > I built

Bug#931081: libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3)

2019-06-25 Thread Andreas Beckmann
Package: libyubikey-udev Version: 1.19.3-3 Severity: serious User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package fails to upgrade from 'stretch'. It installed fine in 'stretch', then the upgrade to 'buster' fails because it tries to

Bug#931064: unblock: grub2/2.02+dfsg1-20

2019-06-25 Thread Ivo De Decker
Control: tags -1 confirmed d-i Hi, On Tue, Jun 25, 2019 at 01:33:50PM +0100, Steve McIntyre wrote: > Subject: unblock: grub2/2.02+dfsg1-20 Unblocked. Still needs the unblock u-deb (kibi Cc'ed). Thanks, Ivo

Bug#930803: new program: runcached

2019-06-25 Thread Nicolas Schier
tags -1 + moreinfo thanks Hi András, > I just wrote this script: > https://gist.github.com/akorn/51ee2fe7d36fa139723c851d87e56096 and thought > it might be a good addition to moreutils. > > It caches the stdout, stderr and exit status of arbitrary commands for a > configurable length of time,

Bug#931066: Info

2019-06-25 Thread MaXaMaR
It seems to involve mesa package. I have recompiled radeonsi_dri.so, maybe now someone can make sense out of it. (EE) Backtrace: (EE) 0: /usr/lib/xorg/Xorg (OsLookupColor+0x139) [0x5609d99fc889] (EE) 1: /lib/x86_64-linux-gnu/libpthread.so.0 (funlockfile+0x50) [0x7fe8a6ea0f8f] (EE) 2:

Bug#931083: ocfs2-tools FTCBFS: broken, outdated, embedded copies of PKG_PROG_PKG_CONFIG and AM_PATH_GLIB_2_0

2019-06-25 Thread Helmut Grohne
Source: ocfs2-tools Version: 1.8.5-7 User: debian-cr...@lists.debian.org Usertags: ftcbfs ocfs2-tools fails to cross build from source, because it uses broken, outdated, embedded copies of PKG_PROG_PKG_CONFIG and AM_PATH_GLIB_2_0. Please remove these copies. Alternatively, please update and

Bug#930664: ITP: libcamera/0~190601-1

2019-06-25 Thread Andrej Shadura
On Wed, 19 Jun 2019 10:38:39 -0300 "eamanu15 ." wrote: > > hi. > > i haven't looked into your packaging yet, but... > > > > - i'm interested in sponsoring the package > > > Great! I am too interested in sponsoring :) > - would you consider maintaining the package under the multimedia-team > >

Bug#931085: mailavenger: drops TCP immediately after receiving 'QUIT', without sending the 221 response

2019-06-25 Thread Philip Hands
Package: mailavenger Version: 0.8.5-1 Severity: normal Hi Dererk, It seems that mailavenger does not actually send the '221 {hostname}' message that it is supposed to (despite showing it doing so in its debugging output). This appears to make some SMTP clients decide that the email was not sent

Bug#800518: ITA: 9base -- Plan 9 userland tools

2019-06-25 Thread Boyuan Yang
On Mon, 24 Jun 2019 05:19:02 + Elliott Pardee wrote: > I'd like to try my hand at this. Get my toes wet in maintaining packages. :) > > Advice appreciated! My advice: take a look at all the existing work at both the h ttps://salsa.debian.org/debian/9base and the upstream development repo.

Bug#931084: unblock: netdata/1.12.2-2

2019-06-25 Thread Daniel Baumann
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Please unblock package netdata. First, I'm sorry.. I'm terribly late with this and there's no excuse for that. Second, I seem to have miscalculated the

Bug#929011: unblock: singularity-container/3.1.1+ds-1

2019-06-25 Thread Ansgar
Control: tag -1 - moreinfo Paul Gevers writes: > On Wed, 15 May 2019 03:47:28 -0400 Afif Elghraoui wrote: >> Please unblock package singularity-container/3.1.1+ds-1 >> >> This package is prone to security vulnerabilities. Upstream provides >> long-term support for selected versions to their

Bug#931086: bro/2.5.5-1+deb10u1 buster upload?

2019-06-25 Thread Hilko Bengen
Package: release.debian.org Severity: normal bro/2.5.5-1 (unstable, testing) is affected by CVE-2018-16807, CVE-2018-17019 (#908614, #908779) and bro/2.6.1+ds1-1 is still sitting in NEW. May I upload bro/2.5.5-1+deb10u1 to buster? I have attached a debdiff. Cheers, -Hilko diff -Nru

  1   2   >